com.amazon.redshift

## Interface INativePlugin

All Known Implementing Classes:
  BasicJwtCredentialsProvider, BrowserAzureOAuth2CredentialsProvider, BrowserOktaSAMLCredentialsProvider, CommonCredentialsProvider, IdpTokenAuthPlugin, JwtCredentialsProvider

    public interface INativePlugin

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addParameter(String key, String value)`
`String` `getCacheKey()`
`NativeTokenHolder` `getCredentials()`
`String` `getIdpToken()`
`String` `getPluginSpecificCacheKey()`
`void` `refresh()`
`void` `setLogger(RedshiftLogger log)`

### Method Detail

#### addParameter

    void addParameter(String key,
                      String value)

#### setLogger

    void setLogger(RedshiftLogger log)

#### getPluginSpecificCacheKey

    String getPluginSpecificCacheKey()

#### getIdpToken

    String getIdpToken()
                throws RedshiftException

Throws:
  `RedshiftException`

#### getCacheKey

    String getCacheKey()

#### getCredentials

    NativeTokenHolder getCredentials()
                              throws RedshiftException

Throws:
  `RedshiftException`

#### refresh

    void refresh()
          throws RedshiftException

Throws:
  `RedshiftException`